Public Member Functions | Public Attributes | List of all members
WPSOLE1ParserInternal::State Struct Reference

Internal: internal method to keep ole1 state. More...

## Public Member Functions
| State (std::shared_ptr< WPSStream > const &fileStream)
| constructor More...
void | createPictureIdToZoneIdList ()
| create the pictureIdToZoneIdList More...

## Public Attributes
std::shared_ptr< WPSStream > | m_fileStream
| the file stream More...
std::map< int, OLEZone > | m_idToZoneMap
| the map id to zone More...
std::map< int, std::string > | m_idToTypeNameMap
| the map id to zone type More...
std::vector< int > | m_pictureIdToZoneIdList
| a map local id to picture id zone More...
bool | m_pictureIdToZoneIdListCreated
| a flag to know if the pictureIdToZoneIdList is created More...

## Detailed Description

Internal: internal method to keep ole1 state.

## Constructor & Destructor Documentation

## ◆ State()

WPSOLE1ParserInternal::State::State | ( | std::shared_ptr< WPSStream > const & | fileStream | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ createPictureIdToZoneIdList()

void WPSOLE1ParserInternal::State::createPictureIdToZoneIdList | ( |  | ) |

create the pictureIdToZoneIdList

## Member Data Documentation

## ◆ m_fileStream

std::shared_ptr<WPSStream> WPSOLE1ParserInternal::State::m_fileStream

the file stream

## ◆ m_idToTypeNameMap

std::map<int, std::string> WPSOLE1ParserInternal::State::m_idToTypeNameMap

the map id to zone type

## ◆ m_idToZoneMap

std::map<int, OLEZone> WPSOLE1ParserInternal::State::m_idToZoneMap

the map id to zone

## ◆ m_pictureIdToZoneIdList

std::vector<int> WPSOLE1ParserInternal::State::m_pictureIdToZoneIdList

a map local id to picture id zone

## ◆ m_pictureIdToZoneIdListCreated

bool WPSOLE1ParserInternal::State::m_pictureIdToZoneIdListCreated

a flag to know if the pictureIdToZoneIdList is created

The documentation for this struct was generated from the following file:

- WPSOLE1Parser.cpp